/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2008 The LS-Universe Team

    Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_NOTIFYDIRCHECK_H__44DFE393_51AF_42C2_BA07_A1628BDA25FC__INCLUDED_)
#define AFX_NOTIFYDIRCHECK_H__44DFE393_51AF_42C2_BA07_A1628BDA25FC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Popup.h"

UINT NotifyDirThread( LPVOID pParam );

#define NOTIFICATION_TIMEOUT 1000

class CNotifyDirCheck : public CObject  
{
public:
	CNotifyDirCheck();
	virtual ~CNotifyDirCheck();
	
	Popup*							GetPopup() const { return m_pPopup; }
	void							SetPopup( Popup* popup ) { m_pPopup = popup; };
	CString                         GetDirectory() const { return m_csDir; }
	void                            SetDirectory( CString csDir ) { m_csDir = csDir; }
	BOOL							GetSubFolderChanges() const { return m_bSubFolderChanges; }
	void                            SetSubFolderChanges( BOOL bSubFolderChanges ) { m_bSubFolderChanges = bSubFolderChanges; }
	BOOL                            IsRun() const { return m_isRun; }
	BOOL                            Run();
	void                            Stop();
	
protected:
	void                            SetRun()  { m_isRun = TRUE; }
	void                            SetStop() { m_isRun = FALSE; }

protected:
	
	Popup*					  m_pPopup;
	CWinThread*               m_pThread;
	CString                   m_csDir;
	BOOL                      m_isRun;
	BOOL					  m_bSubFolderChanges;

};

#endif // !defined(AFX_NOTIFYDIRCHECK_H__44DFE393_51AF_42C2_BA07_A1628BDA25FC__INCLUDED_)
