/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2008 The LS-Universe Team

    Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_GHOSTBUTTON_H__85117FC9_E15E_4E24_B828_016988694E55__INCLUDED_)
#define AFX_GHOSTBUTTON_H__85117FC9_E15E_4E24_B828_016988694E55__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class GhostButton  
{
public:
	GhostButton();
	virtual ~GhostButton();

	string strOrgX;
	string strOrgY;

	string strOrgWidth;
	string strOrgHeight;

	PaintTexture *pTitleTexture;
	PaintTexture *pBottomTexture;
	PaintTexture *pEntryTexture;
	PaintTexture *pActiveEntryTexture;
	PaintTexture *pFolderTexture;
	PaintTexture *pActiveFolderTexture;
	PaintTexture *pInfoTexture;
	PaintTexture *pActiveInfoTexture;
	PaintTexture *pSeparatorTexture;

};

#endif // !defined(AFX_GHOSTBUTTON_H__85117FC9_E15E_4E24_B828_016988694E55__INCLUDED_)
